#
# Conditional build:
%bcond_with	apache	# Apache 2 support (too messy for now, adds flags to librudiments)

Summary:	C++ class library for daemons, clients and servers
Summary(pl.UTF-8):	Biblioteka klas C++ dla demonów, klientów i serwerów
Name:		rudiments
Version:	1.3.0
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/rudiments/%{name}-%{version}.tar.gz
# Source0-md5:	06e5e81901f8bd6d2a9f0b2b1a4f9993
Patch0:		%{name}-pc.patch
URL:		http://rudiments.sourceforge.net/
BuildRequires:	automake
BuildRequires:	curl-devel >= 7.15.2
BuildRequires:	heimdal-devel
BuildRequires:	libedit-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
%if %{with apache}
BuildRequires:	apache-devel >= 2
BuildRequires:	apr-devel
BuildRequires:	apr-util-devel
%endif
Requires:	curl-libs >= 7.15.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rudiments is an Open Source C++ class library providing base classes
for things such as daemons, clients and servers, and wrapper classes
for the standard C functions for things like such as regular
expressions, semaphores and signal handling.

%description -l pl.UTF-8
Rudiments to mająca otwarte źródła biblioteka klas C++ dostarczająca
klasy bazowe do tworzenia demonów, klientów i serwerów oraz klasy
obudowujące dla standardowych funkcji C obsługujących wyrażenia
regularne, semafory, sygnały itp.

%package devel
Summary:	Header files for rudiments library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki rudiments
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel >= 7.15.2
Requires:	heimdal-devel
Requires:	libedit-devel
Requires:	libstdc++-devel
Requires:	openssl-devel
Requires:	pcre-devel

%description devel
Header files for rudiments library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki rudiments.

%package static
Summary:	Static rudiments library
Summary(pl.UTF-8):	Statyczna biblioteka rudiments
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static rudiments library.

%description static -l pl.UTF-8
Statyczna biblioteka rudiments.

%package doc
Summary:	Documentation for rudiments
Summary(pl.UTF-8):	Dokumentacja dla biblioteki rudiments
Group:		Documentation

%description doc
Documentation for rudiments.

%description doc -l pl.UTF-8
Dokumentacja dla biblioteki rudiments.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	%{!?with_apache:--disable-apache2}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{systemdtmpfilesdir}
cat >$RPM_BUILD_ROOT%{systemdtmpfilesdir}/rudiments.conf <<EOF
d /var/run/rudiments 1777 root root -
EOF

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/librudiments.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/librudiments.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librudiments.so.7
%attr(1777,root,root) %dir /var/run/rudiments
%{systemdtmpfilesdir}/rudiments.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rudiments-config
%attr(755,root,root) %{_libdir}/librudiments.so
%{_includedir}/rudiments
%{_pkgconfigdir}/rudiments.pc
%{_mandir}/man1/rudiments-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/librudiments.a

%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}
%changelog
* Wed Feb 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rudiments.git;a=log;h=master

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> de41769
- Release 3 (by relup.sh)

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> b065477
- rebuild with openssl 3.0.0

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 3694998
- updated to 1.3.0 (new soname)
- added pc patch

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> 1b07c45
- release 6, rebuild against libnettle.so.6 (nettle-3.5)

* Sat Feb 09 2019 Jan Rękorajski <baggins@pld-linux.org> b60620c
- release 5 (by relup.sh)

* Tue Jan 22 2019 Jan Rękorajski <baggins@pld-linux.org> b9a8219
- rebuild with libidn2 2.1.0
- release 4 (by relup.sh)

* Sun Jan 20 2019 Jan Rękorajski <baggins@pld-linux.org> fcb6322
- release 3 (by relup.sh)

* Tue Jan 15 2019 Adam Gołębiowski <adamg@pld-linux.org> 7fe55ee
- release 2 (by relup.sh)

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4733bd0
- up to 1.1.0

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> abd10bd
- release 2 (by relup.sh)

* Wed Jan 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 6ea7782
- verbose lib files
- package base docs
- added devel dependencies

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b7b8908
- up to 0.33
- add format-security.patch
- ghost soname symlink

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6e870a2
- compilation fix

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e6e344
- release 4

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 144df72
- release 3

* Fri Jun 08 2007 Elan Ruusamäe <glen@pld-linux.org> c584263
- ac-amd64 build fix; rel 2

* Fri Jun 08 2007 Elan Ruusamäe <glen@pld-linux.org> b050f61
- up to 0.30

* Fri Jun 08 2007 Elan Ruusamäe <glen@pld-linux.org> adc5339
- rel 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4ce7b1c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 76cab86
- converted to UTF-8

